/*
 * Copyright (c) 2000 Phil Thompson (phil@river-bank.demon.co.uk)
 *
 * The interface to the VPScript type.
 */


#ifndef VPSCRIPT_H
#define VPSCRIPT_H


#include <gtk/gtkobject.h>

#ifdef __cplusplus
extern "C" {
#endif


#define VP_SCRIPT(o)		GTK_CHECK_CAST((o),vp_script_get_type(),VPScript)
#define VP_SCRIPT_CLASS(c)	GTK_CHECK_CLASS_CAST((c),vp_script_get_type(),VPScriptClass)
#define VP_IS_SCRIPT(o)		GTK_CHECK_TYPE((o),vp_script_get_type())


/* The instance structure. */
 
typedef struct {
	GtkObject	object;
	GtkObject	*interp;		/* The interpreter. */
	char	*script;			/* The name of the script. */
} VPScript;


/* The class structure. */
 
typedef struct {
	GtkObjectClass	object_class;
} VPScriptClass;


guint vp_script_get_type(void);
GtkObject *vp_script_new(char *,GtkObject *);
void vp_script_execute(GtkObject *);


#ifdef __cplusplus
}
#endif

#endif
