# Copyright (c) 2000 Phil Thompson (phil@river-bank.demon.co.uk)
#
# This is the Python module as perceived by the user.


# Allow scripts to determine which version of the language is available.
# Different major versions will not be backwdsards compatible.

LanguageVersionMajor = 0
LanguageVersionMinor = 2
LanguageVersion = '0.2'


# The VP classes.  We define as little as possible here, the rest of the
# implementation is plugged in under the covers.

class Base:
	def __getattr__(self,attr):
		return __vpGetattr__(self,attr)

	def __setattr__(self,attr,value):
		return __vpSetattr__(self,attr,value)

class Color(Base):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

	def __repr__(self):
		return repr(self.__vpWrapper__)

class Control(Base):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class Container(Control):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class ApplicationWindow(Container):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class TopLevel(Container):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class Dialog(TopLevel):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class Message(Dialog):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class VBox(Container):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class HBox(Container):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class Grid(Container):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class InputControl(Control):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class Text(InputControl):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class TextBox(InputControl):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class OptionControl(InputControl):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class OptionMenu(OptionControl):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class ButtonGroup(OptionControl):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class RadioButtonGroup(ButtonGroup):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class CheckButtonGroup(ButtonGroup):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class Label(Control):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class Button(Control):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class Chart(Control):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class Graph(Chart):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class GraphPoint(Base):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class GraphSeries(Base):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class PieChart(Chart):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)

class PieSlice(Base):
	def __init__(self,*args,**kwds):
		__vpInit__(self,args,kwds)
