#!/usr/bin/env vpshell

# This script demonstrates the different controls.


# Create the GUI.

def createGUI(aw):
	form = vp.Grid(aw)
	values = {}

	vp.Label(form,row = 0,column = 0,hSpan = 2,hAlign = vp.Control.HMiddle,
             text = 'The set of different controls arranged in a Grid control')

	vp.Label(form,row = 1,column = 0,text = 'A Text control:')
	vp.Text(form,row = 1,column = 1,name = 'text')
	values['text'] = 'Initial text'

	vp.Label(form,row = 2,column = 0,vAlign = vp.Control.Top,
             text = 'A TextBox control:')
	vp.TextBox(form,row = 2,column = 1,name = 'textBox')
	values['textBox'] = 'Initial\nmulti-line\ntext'

	vp.Label(form,row = 3,column = 0,text = 'An OptionMenu control:')
	vp.OptionMenu(form,row = 3,column = 1,name = 'optionMenu',
			options = ['Option 1', 'Option 2', 'Option 3'])
	values['optionMenu'] = 2

	vp.Label(form,row = 4,column = 0,vAlign = vp.Control.Top,
            text = 'A RadioButtonGroup control:')
	vp.RadioButtonGroup(form,row = 4,column = 1,title = 'Radio Group Title',
            name = 'radioButtonGroup',
			options = ['Radio Button 1', 'Radio Button 2', 'Radio Button 3'])
	values['radioButtonGroup'] = 1

	vp.Label(form,row = 5,column = 0,vAlign = vp.Control.Top,
            text = 'A CheckButtonGroup control:')
	vp.CheckButtonGroup(form,row = 5,column = 1,title = 'Check Group Title',
            name = 'checkButtonGroup',
			options = ['Check Button 1', 'Check Button 2', 'Check Button 3'])
	values['checkButtonGroup'] = [1, 2]

	aw.setValues(values)

	vp.Label(form,row = 6,column = 0,vAlign = vp.Control.Top,
             text = 'A VBox container:')
	vb = vp.VBox(form,row = 6,column = 1)
	vp.Label(vb,text = 'A long label to set the maximum width')
	vp.Label(vb,hAlign = vp.Control.Left,text = 'This is left aligned')
	vp.Label(vb,hAlign = vp.Control.HMiddle,text = 'This is middle aligned')
	vp.Label(vb,hAlign = vp.Control.Right,text = 'This is right aligned')

	button = vp.Button(form,row = 7,column = 0,text = 'Print Values')
	vp.connect(button,vp.Button.clicked,printValues)


# A slot to display the values of all named input controls.

def printValues(sender):
	global aw

	# Get the values.

	values = aw.getValues()

	for v in values.keys():
		print 'Control', v, 'has the value', values[v]


# Initialise.

aw = vp.ApplicationWindow()
createGUI(aw)
